---
title: Update a specific LLM Observability prompt version
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > LLM Observability
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update a specific LLM Observability prompt version{% #update-a-specific-llm-observability-prompt-version %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                 |
| ----------------- | -------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions/{version} |

### Overview

Update the description, the feature-flag environments, or both, for a specific version of an LLM Observability prompt. This endpoint requires all of the following permissions:
`llm_observability_read``llm_observability_write``feature_flag_config_read``feature_flag_config_write``feature_flag_environment_config_read` 


### Arguments

#### Path Parameters

| Name                        | Type    | Description                                                       |
| --------------------------- | ------- | ----------------------------------------------------------------- |
| prompt_id [*required*] | string  | The customer-provided identifier of the LLM Observability prompt. |
| version [*required*]   | integer | The version number of the LLM Observability prompt.               |

### Request

#### Body Data (required)

Update prompt version payload.

{% tab title="Model" %}

| Parent field | Field                        | Type     | Description                                                                                                                                                                          |
| ------------ | ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]       | object   | Data object for updating an LLM Observability prompt version.                                                                                                                        |
| data         | attributes [*required*] | object   | Attributes for updating an LLM Observability prompt version. At least one of `description`, `labels`, or `env_ids` must be provided; all three attributes are optional individually. |
| attributes   | description                  | string   | Optional new description for this version.                                                                                                                                           |
| attributes   | env_ids                      | [string] | Optional feature-flag environment UUIDs the service attempts to enable and configure to use this version as their default.                                                           |
| attributes   | labels                       | [string] | **DEPRECATED**: Optional new labels for this version. Do not use this attribute for new integrations.                                                                                |
| data         | type [*required*]       | enum     | Resource type of an LLM Observability prompt version. Allowed enum values: `prompt-template-versions`                                                                                |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "description": "Give concise answers and cite relevant help-center articles."
    },
    "type": "prompt-template-versions"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a specific version of an LLM Observability prompt.

| Parent field | Field                         | Type          | Description                                                                                           |
| ------------ | ----------------------------- | ------------- | ----------------------------------------------------------------------------------------------------- |
|              | data [*required*]        | object        | Data object for a specific version of an LLM Observability prompt.                                    |
| data         | attributes [*required*]  | object        | Attributes of a specific version of an LLM Observability prompt.                                      |
| attributes   | author                        | string        | UUID of the user who authored this version.                                                           |
| attributes   | created_at                    | date-time     | Timestamp stored on this prompt version.                                                              |
| attributes   | datasets                      | [object]      | Datasets observed in runs associated with this prompt version.                                        |
| datasets     | id [*required*]          | string        | Unique identifier of the dataset.                                                                     |
| datasets     | name                          | string        | Name of the dataset.                                                                                  |
| attributes   | description                   | string        | Description of this version.                                                                          |
| attributes   | labels                        | [string]      | **DEPRECATED**: Labels attached to this version (for example `development`, `staging`, `production`). |
| attributes   | last_seen_at                  | date-time     | Timestamp of the most recent observed run of this prompt version.                                     |
| attributes   | ml_app                        | string        | The ML application this prompt is associated with.                                                    |
| attributes   | ml_apps                       | [string]      | ML applications observed running this prompt version.                                                 |
| attributes   | prompt_id [*required*]   | string        | Customer-provided identifier of the parent prompt.                                                    |
| attributes   | prompt_uuid [*required*] | string        | Unique identifier of the parent prompt.                                                               |
| attributes   | tags                          | [string]      | Tags observed on runs of this prompt version.                                                         |
| attributes   | template [*required*]    |  <oneOf> | A text template or a list of chat messages.                                                           |
| template     | Object 1                      | string        | A text prompt template.                                                                               |
| template     | Object 2                      | [object]      | A chat prompt template.                                                                               |
| Object 2     | content [*required*]     | string        | Content of the message.                                                                               |
| Object 2     | role [*required*]        | string        | Role of the message (for example `system`, `user`, or `assistant`).                                   |
| attributes   | user_version                  | string        | User-supplied identifier for this version.                                                            |
| attributes   | version [*required*]     | int64         | Sequential version number.                                                                            |
| attributes   | version_created_at            | date-time     | Timestamp when this version was created.                                                              |
| data         | id [*required*]          | string        | Unique identifier of the prompt version.                                                              |
| data         | type [*required*]        | enum          | Resource type of an LLM Observability prompt version. Allowed enum values: `prompt-template-versions` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "author": "3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e",
      "created_at": "2025-02-01T14:30:00Z",
      "description": "Give concise answers and cite relevant help-center articles.",
      "prompt_id": "customer-support-assistant",
      "prompt_uuid": "4a1a28ff-8a25-5f0f-946f-f48264d772eb",
      "template": [
        {
          "content": "You are a helpful customer support assistant for {{company_name}}.",
          "role": "system"
        },
        {
          "content": "Help {{customer_name}} with this question: {{question}}",
          "role": "user"
        }
      ],
      "version": 2,
      "version_created_at": "2025-02-01T14:30:00Z"
    },
    "id": "d83ab666-61cc-5545-a83b-2424bb85467b",
    "type": "prompt-template-versions"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export prompt_id="customer-support-assistant" export version="1" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/llm-obs/v1/prompts/${prompt_id}/versions/${version}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "description": "Give concise answers and cite relevant help-center articles."
    },
    "type": "prompt-template-versions"
  }
}
EOF 
                        
##### 

```go
// Update a specific LLM Observability prompt version returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"
	"strconv"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "prompt" in the system
	PromptDataAttributesPromptID := os.Getenv("PROMPT_DATA_ATTRIBUTES_PROMPT_ID")

	// there is a valid "prompt_version" in the system
	PromptVersionDataAttributesVersion, _ := strconv.ParseInt(os.Getenv("PROMPT_VERSION_DATA_ATTRIBUTES_VERSION"), 10, 64)

	body := datadogV2.LLMObsUpdatePromptVersionRequest{
		Data: datadogV2.LLMObsUpdatePromptVersionData{
			Attributes: datadogV2.LLMObsUpdatePromptVersionDataAttributes{
				Description: datadog.PtrString("Give concise answers and cite relevant help-center articles."),
			},
			Type: datadogV2.LLMOBSPROMPTVERSIONTYPE_PROMPT_TEMPLATE_VERSIONS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateLLMObsPromptVersion", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.UpdateLLMObsPromptVersion(ctx, PromptDataAttributesPromptID, PromptVersionDataAttributesVersion, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.UpdateLLMObsPromptVersion`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.UpdateLLMObsPromptVersion`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update a specific LLM Observability prompt version returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsPromptVersionResponse;
import com.datadog.api.client.v2.model.LLMObsPromptVersionType;
import com.datadog.api.client.v2.model.LLMObsUpdatePromptVersionData;
import com.datadog.api.client.v2.model.LLMObsUpdatePromptVersionDataAttributes;
import com.datadog.api.client.v2.model.LLMObsUpdatePromptVersionRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateLLMObsPromptVersion", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    // there is a valid "prompt" in the system
    String PROMPT_DATA_ATTRIBUTES_PROMPT_ID = System.getenv("PROMPT_DATA_ATTRIBUTES_PROMPT_ID");

    // there is a valid "prompt_version" in the system
    Long PROMPT_VERSION_DATA_ATTRIBUTES_VERSION =
        Long.parseLong(System.getenv("PROMPT_VERSION_DATA_ATTRIBUTES_VERSION"));

    LLMObsUpdatePromptVersionRequest body =
        new LLMObsUpdatePromptVersionRequest()
            .data(
                new LLMObsUpdatePromptVersionData()
                    .attributes(
                        new LLMObsUpdatePromptVersionDataAttributes()
                            .description(
                                "Give concise answers and cite relevant help-center articles."))
                    .type(LLMObsPromptVersionType.PROMPT_TEMPLATE_VERSIONS));

    try {
      LLMObsPromptVersionResponse result =
          apiInstance.updateLLMObsPromptVersion(
              PROMPT_DATA_ATTRIBUTES_PROMPT_ID, PROMPT_VERSION_DATA_ATTRIBUTES_VERSION, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#updateLLMObsPromptVersion");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Update a specific LLM Observability prompt version returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_prompt_version_type import LLMObsPromptVersionType
from datadog_api_client.v2.model.llm_obs_update_prompt_version_data import LLMObsUpdatePromptVersionData
from datadog_api_client.v2.model.llm_obs_update_prompt_version_data_attributes import (
    LLMObsUpdatePromptVersionDataAttributes,
)
from datadog_api_client.v2.model.llm_obs_update_prompt_version_request import LLMObsUpdatePromptVersionRequest

# there is a valid "prompt" in the system
PROMPT_DATA_ATTRIBUTES_PROMPT_ID = environ["PROMPT_DATA_ATTRIBUTES_PROMPT_ID"]

# there is a valid "prompt_version" in the system
PROMPT_VERSION_DATA_ATTRIBUTES_VERSION = environ["PROMPT_VERSION_DATA_ATTRIBUTES_VERSION"]

body = LLMObsUpdatePromptVersionRequest(
    data=LLMObsUpdatePromptVersionData(
        attributes=LLMObsUpdatePromptVersionDataAttributes(
            description="Give concise answers and cite relevant help-center articles.",
        ),
        type=LLMObsPromptVersionType.PROMPT_TEMPLATE_VERSIONS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_llm_obs_prompt_version"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.update_llm_obs_prompt_version(
        prompt_id=PROMPT_DATA_ATTRIBUTES_PROMPT_ID, version=int(PROMPT_VERSION_DATA_ATTRIBUTES_VERSION), body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update a specific LLM Observability prompt version returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_llm_obs_prompt_version".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

# there is a valid "prompt" in the system
PROMPT_DATA_ATTRIBUTES_PROMPT_ID = ENV["PROMPT_DATA_ATTRIBUTES_PROMPT_ID"]

# there is a valid "prompt_version" in the system
PROMPT_VERSION_DATA_ATTRIBUTES_VERSION = ENV["PROMPT_VERSION_DATA_ATTRIBUTES_VERSION"]

body = DatadogAPIClient::V2::LLMObsUpdatePromptVersionRequest.new({
  data: DatadogAPIClient::V2::LLMObsUpdatePromptVersionData.new({
    attributes: DatadogAPIClient::V2::LLMObsUpdatePromptVersionDataAttributes.new({
      description: "Give concise answers and cite relevant help-center articles.",
    }),
    type: DatadogAPIClient::V2::LLMObsPromptVersionType::PROMPT_TEMPLATE_VERSIONS,
  }),
})
p api_instance.update_llm_obs_prompt_version(PROMPT_DATA_ATTRIBUTES_PROMPT_ID, PROMPT_VERSION_DATA_ATTRIBUTES_VERSION.to_i, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Update a specific LLM Observability prompt version returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsPromptVersionType;
use datadog_api_client::datadogV2::model::LLMObsUpdatePromptVersionData;
use datadog_api_client::datadogV2::model::LLMObsUpdatePromptVersionDataAttributes;
use datadog_api_client::datadogV2::model::LLMObsUpdatePromptVersionRequest;

#[tokio::main]
async fn main() {
    // there is a valid "prompt" in the system
    let prompt_data_attributes_prompt_id =
        std::env::var("PROMPT_DATA_ATTRIBUTES_PROMPT_ID").unwrap();

    // there is a valid "prompt_version" in the system
    let prompt_version_data_attributes_version: i64 =
        std::env::var("PROMPT_VERSION_DATA_ATTRIBUTES_VERSION")
            .unwrap()
            .parse()
            .unwrap();
    let body = LLMObsUpdatePromptVersionRequest::new(LLMObsUpdatePromptVersionData::new(
        LLMObsUpdatePromptVersionDataAttributes::new().description(
            "Give concise answers and cite relevant help-center articles.".to_string(),
        ),
        LLMObsPromptVersionType::PROMPT_TEMPLATE_VERSIONS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateLLMObsPromptVersion", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .update_llm_obs_prompt_version(
            prompt_data_attributes_prompt_id.clone(),
            prompt_version_data_attributes_version.clone(),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update a specific LLM Observability prompt version returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateLLMObsPromptVersion"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

// there is a valid "prompt" in the system
const PROMPT_DATA_ATTRIBUTES_PROMPT_ID = process.env
  .PROMPT_DATA_ATTRIBUTES_PROMPT_ID as string;

// there is a valid "prompt_version" in the system
const PROMPT_VERSION_DATA_ATTRIBUTES_VERSION = parseInt(
  process.env.PROMPT_VERSION_DATA_ATTRIBUTES_VERSION as string
);

const params: v2.LLMObservabilityApiUpdateLLMObsPromptVersionRequest = {
  body: {
    data: {
      attributes: {
        description:
          "Give concise answers and cite relevant help-center articles.",
      },
      type: "prompt-template-versions",
    },
  },
  promptId: PROMPT_DATA_ATTRIBUTES_PROMPT_ID,
  version: PROMPT_VERSION_DATA_ATTRIBUTES_VERSION,
};

apiInstance
  .updateLLMObsPromptVersion(params)
  .then((data: v2.LLMObsPromptVersionResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
